LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
GlobalTransferCommandArgument2 Struct Reference

This struct extends the one for transfers arguments by adding a Mime type and a Document Id property to it. More...

`import"GlobalTransferCommandArgument2.idl";`

Inheritance diagram for GlobalTransferCommandArgument2:

## Public Attributes
string | MimeType
| contains the MIME type of the source object. More...
string | DocumentId
| contains the DocumentId of the source object. More...
Public Attributes inherited from GlobalTransferCommandArgument
TransferCommandOperation | Operation
| contains the action to perform ( COPY, MOVE, LINK ). More...
string | SourceURL
| contains the URL of the source object. More...
string | TargetURL
| contains the URL of the target folder. More...
string | NewTitle
| contains the title of the transferred object, if it is different from the original one. More...
long | NameClash
| describes how to act in case of title clashes while transferring the data. More...

## Detailed Description

This struct extends the one for transfers arguments by adding a Mime type and a Document Id property to it.

## Member Data Documentation

## ◆ DocumentId

string DocumentId

contains the DocumentId of the source object.

## ◆ MimeType

string MimeType

contains the MIME type of the source object.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/GlobalTransferCommandArgument2.idl